const _Http = getApp().globalData.http;

Page({
    data: {
        active: 0,
        loading: true,
        amount: 0,
        "content": {
            "isExport": 0,
            "pageNumber": 1,
            "pageTotal": 1,
            "pageSize": 20,
            total: 0,
            "where": {
                "condition": "",
                "status": "",
                "brandname": "",
                "tradefield": ""
            },
            sort: []
        },
    },
    onLoad(options) {
        this.getList()
    },
    /* 获取产品 */
    getList(init = false) {
        if (init.detail != undefined) init = init.detail;
        let content = this.data.content;
        if (init) content.pageNumber = 1;
        if (content.pageNumber > content.pageTotal) return;
        _Http.basic({
            "id": 20221224180302,
            content
        }).then(res => {
            console.log("订单列表", res)
            this.selectComponent('#ListBox').RefreshToComplete();
            this.setData({
                list: res.pageNumber == 1 ? res.data : this.data.list.concat(res.data),
                "content.pageNumber": res.pageNumber + 1,
                "content.pageTotal": res.pageTotal,
                "content.sort": res.sort,
                "content.total": res.total,
                loading: false,
                amount: res.tips.amount
            })
        })
    },
    /* 搜索 */
    onSearch({
        detail
    }) {
        this.setData({
            "content.where.condition": detail
        });
        this.getList(true)
    },
    /* 切换tabs */
    tabsChange(e) {
        let status = e.detail.title == '全部' ? "" : e.detail.title;
        this.setData({
            active: e.detail.index,
            "content.where.status": status
        });
        this.getList(true);
    },
    onReady() {
        this.setListHeight()
    },
    /* 设置页面高度 */
    setListHeight() {
        this.selectComponent("#ListBox").setHeight(".tips", this);
    },
    add() {
        wx.navigateTo({
            url: '/packageA/orderForm/add',
        })
    },
})